Now that Windows Vista Beta 2 is out, some of you may already be using it or considering giving it a try. The good news for Windows Mobile developers is that Visual Studio, all the emulators and SDK tools work just fine on Vista. I've had no problems doing extensive native and managed development on a laptop running Vista.

Someone posted a comment on my blog asking how to build a .NET Compact Framework 1.0 application on a Vista machine. There are a few additional steps if you want to target .NET CF 1.0. Here's how:

  1. In Visual Studio, click File > New Project.
  2. Under Visual C# or Visual Basic, select Smart Device and then the appropriate platform (e.g. Windows Mobile 5.0 Pocket PC, Windows Mobile 5.0 Smartphone etc).
  3. Under Templates, select Device Application (1.0).
  4. Press OK to create the new project.
  5. Try building the solution. You will receive an error message explaining that .NET Framework 1.1 is required to build .NET CF 1.0 applications. This may seem odd because most of us don't see a direct relationship between the desktop framework and compact framework.
  6. Click here to download .NET Framework 1.1. Note that .NET Framework 2.0 is already built into Windows Vista.
  7. When you try to install it, a warning tells you that this product is incompatible with Vista. The warning also mentions installing SP1. We'll do that next. Proceed with the install.
  8. After .NET Framework 1.1 is successfully installed, click here to download SP1. When installing this, you'll again see a similar compatibility warning. Ignore the warning and proceed to finish installing the Service Pack.
  9. Now that you have .NET Framework 1.1 and SP1 installed, you meet the requirements for targeting .NET CF 1.0. Switch back to your project in Visual Studio and build. It should compile, build and deploy without any further errors.